Upload File

Deprecated
Uploads a file to the specified record.

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.
objectNamestringRequired
Name of the table.
IDstringRequired

skyflow_id of the record.

Request

This endpoint expects a multipart form containing an optional file.
fileColumnNamefileOptional

The key for fileColumnName is the name of the column to store the file in, which must have a file data type. The value is the file to upload.

Response headers

X-Request-IDstring
Unique identifier for the request.

Response

OK
skyflow_idstring
ID of the updated record.
tokensmap from strings to any
Tokens for the record.

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error